Package org.eclipse.m2m.atl.dsls.tcs.extractor

## Interface ModelAdapter

All Known Implementing Classes:
  `ASMModelAdapter`, `EMFTCSExtractor.EMFExtractorAdapter`

    public interface ModelAdapter

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `get​(java.lang.Object me, java.lang.String propName)`
`boolean` `getBool​(java.lang.Object me, java.lang.String propName)`
`boolean` `getBoolUndefinedIsFalse​(java.lang.Object me, java.lang.String propName)`
`java.util.Iterator` `getCol​(java.lang.Object me, java.lang.String propName)`
`java.util.Set` `getElementsByType​(java.lang.Object model, java.lang.String typeName)`
`java.lang.String` `getEnumLiteralName​(java.lang.Object me)`
`int` `getInt​(java.lang.Object me, java.lang.String propName)`
`java.lang.Object` `getME​(java.lang.Object me, java.lang.String propName)`
`java.lang.Object` `getMetaobject​(java.lang.Object me)`
`java.lang.String` `getName​(java.lang.Object me)`
`java.lang.Object` `getPropertyType​(java.lang.Object f, java.lang.String propName)`
`java.lang.String` `getString​(java.lang.Object me, java.lang.String propName)`
`java.lang.String` `getTypeName​(java.lang.Object me)`
`boolean` `isAModelElement​(java.lang.Object o)`
`boolean` `isEnumLiteral​(java.lang.Object value)`
`boolean` `isPrimitive​(java.lang.Object value)`
`java.lang.String` `nextString​(java.util.Iterator i)`
`java.lang.Object` `refImmediateComposite​(java.lang.Object me)`

### Method Detail

#### getString

    java.lang.String getString​(java.lang.Object me,
                               java.lang.String propName)

#### getBool

    boolean getBool​(java.lang.Object me,
                    java.lang.String propName)

#### getBoolUndefinedIsFalse

    boolean getBoolUndefinedIsFalse​(java.lang.Object me,
                                    java.lang.String propName)

#### getInt

    int getInt​(java.lang.Object me,
               java.lang.String propName)

#### getCol

    java.util.Iterator getCol​(java.lang.Object me,
                              java.lang.String propName)

#### getME

    java.lang.Object getME​(java.lang.Object me,
                           java.lang.String propName)

#### getName

    java.lang.String getName​(java.lang.Object me)

#### getEnumLiteralName

    java.lang.String getEnumLiteralName​(java.lang.Object me)

#### get

    java.lang.Object get​(java.lang.Object me,
                         java.lang.String propName)

#### getElementsByType

    java.util.Set getElementsByType​(java.lang.Object model,
                                    java.lang.String typeName)

#### getTypeName

    java.lang.String getTypeName​(java.lang.Object me)

#### getMetaobject

    java.lang.Object getMetaobject​(java.lang.Object me)

#### refImmediateComposite

    java.lang.Object refImmediateComposite​(java.lang.Object me)

#### isAModelElement

    boolean isAModelElement​(java.lang.Object o)

#### getPropertyType

    java.lang.Object getPropertyType​(java.lang.Object f,
                                     java.lang.String propName)

#### isPrimitive

    boolean isPrimitive​(java.lang.Object value)

#### isEnumLiteral

    boolean isEnumLiteral​(java.lang.Object value)

#### nextString

    java.lang.String nextString​(java.util.Iterator i)